<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Library, API, tools</h1>

<img src="overview.svg"
     style="position: absolute; left: 10px; top: 100px;" />

<!-- XXX WebKit won't render any images embedded in the SVG above.
     As a nasty hack, place the images which are supposed to be
     in the SVG on top. -->

<img src="cdrom.png"
     style="position: absolute; left: 212px; top: 120px; z-index: 10;" />
<img src="disk.png"
     style="position: absolute; left: 272px; top: 120px; z-index: 10;" />
<img src="file.png"
     style="position: absolute; left: 332px; top: 120px; z-index: 10;" />
<img src="flash.png"
     style="position: absolute; left: 392px; top: 120px; z-index: 10;" />
<img src="floppy.png"
     style="position: absolute; left: 444px; top: 120px; z-index: 10;" />
<img src="openstack.png"
     style="position: absolute; left: 360px; top: 480px; z-index: 10;" />

<!-- XXX End of WebKit hack -->

<!-- Now mask out parts of the diagram. -->

<div
     style="position: absolute;
            left: 10px; top: 100px;
            width: 600px; height: 140px;
            z-index: 20;" />

<div
     style="position: absolute;
            left: 10px; top: 220px;
            width: 800px; height: 320px;
            background-color: white;
            z-index: 20;" />
